org.springframework.util

## Class FileSystemUtils

- java.lang.Object
- - org.springframework.util.FileSystemUtils

-     public abstract class FileSystemUtils
      extends Object

  Utility methods for working with the file system.
  Since:
    2.5.3
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copyRecursively(File src, File dest)` Recursively copy the contents of the `src` file/directory to the `dest` file/directory.
    `static boolean` | `deleteRecursively(File root)` Delete the supplied `File` - for directories, recursively delete any nested directories or files as well.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemUtils

          public FileSystemUtils()

  - ### Method Detail

    - #### deleteRecursively

          public static boolean deleteRecursively(File root)

      Delete the supplied `File` - for directories, recursively delete any nested directories or files as well.
      Parameters:
        `root` - the root `File` to delete
      Returns:
        `true` if the `File` was deleted, otherwise `false`

    - #### copyRecursively

          public static void copyRecursively(File src,
                             File dest)
                                      throws IOException

      Recursively copy the contents of the `src` file/directory to the `dest` file/directory.
      Parameters:
        `src` - the source directory
        `dest` - the destination directory
      Throws:
        `IOException` - in the case of I/O errors